
From: Andrew Morton <akpm@osdl.org>

git weirdnesses.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/skbuff.h |   25 ++++++++++---------------
 net/ipv6/raw.c         |    3 +--
 ipv6/ip6_input.c       |    0 
 3 files changed, 11 insertions(+), 17 deletions(-)

diff -puN include/linux/skbuff.h~git-net-fixups include/linux/skbuff.h
--- devel/include/linux/skbuff.h~git-net-fixups	2005-08-18 00:40:29.000000000 -0700
+++ devel-akpm/include/linux/skbuff.h	2005-08-18 00:42:20.000000000 -0700
@@ -260,33 +260,28 @@ struct sk_buff {
 	__u8			local_df:1,
 				cloned:1,
 				ip_summed:2,
-				nohdr:1;
-				/* 3 bits spare */
-	__u8			pkt_type;
+				nohdr:1,
+				nfctinfo:3;
+	__u8			pkt_type:3,
+				fclone:2;
 	__be16			protocol;
 
 	void			(*destructor)(struct sk_buff *skb);
 #ifdef CONFIG_NETFILTER
-	unsigned long		nfmark;
-	__u32			nfcache;
-	__u32			nfctinfo;
+	__u32			nfmark;
 	struct nf_conntrack	*nfct;
+#if defined(CONFIG_IP_VS) || defined(CONFIG_IP_VS_MODULE)
+	__u8			ipvs_property:1;
+#endif
 #ifdef CONFIG_BRIDGE_NETFILTER
 	struct nf_bridge_info	*nf_bridge;
 #endif
 #endif /* CONFIG_NETFILTER */
-#if defined(CONFIG_HIPPI)
-	union {
-		__u32		ifield;
-	} private;
-#endif
 #ifdef CONFIG_NET_SCHED
-       __u32			tc_index;        /* traffic control index */
+	__u16			tc_index;	/* traffic control index */
 #ifdef CONFIG_NET_CLS_ACT
-	__u32           tc_verd;               /* traffic control verdict */
-	__u32           tc_classid;            /* traffic control classid */
+	__u16			tc_verd;	/* traffic control verdict */
 #endif
-
 #endif
 
 
diff -puN net/ipv6/ip6_input.c~git-net-fixups net/ipv6/ip6_input.c
diff -puN net/ipv6/raw.c~git-net-fixups net/ipv6/raw.c
--- devel/net/ipv6/raw.c~git-net-fixups	2005-08-18 00:40:29.000000000 -0700
+++ devel-akpm/net/ipv6/raw.c	2005-08-18 00:42:51.000000000 -0700
@@ -343,8 +343,7 @@ int rawv6_rcv(struct sock *sk, struct sk
 			if (csum_ipv6_magic(&skb->nh.ipv6h->saddr,
 					    &skb->nh.ipv6h->daddr,
 					    skb->len, inet->num, skb->csum)) {
-				LIMIT_NETDEBUG(
-			        printk(KERN_DEBUG "raw v6 hw csum failure.\n"));
+				LIMIT_NETDEBUG(KERN_DEBUG "raw v6 hw csum failure.\n");
 				skb->ip_summed = CHECKSUM_NONE;
 			}
 		}
_
